Subject: Re: bug#69562: 29.2.50; go-ts-mode does not handle comments with fill-paragraph

From: Dmitry Gutov <[email-masked]>
Date: Thu, 7 Mar 2024 03:57:14 +0200

On 06/03/2024 07:22, Ankit Gadiya wrote:

>> Are you testing in the same Emacs as the one you filed the bug report in?
>>
> 
> Yes, I only have one Emacs version installed on my system and I'm currently
> tracking the emacs-29 branch (last compiled maybe a week ago). I tried enabling
> `debug-on-entry` for the `fill-paragraph` function. Here is the
> Backtrace if it's
> useful. I think beyond this it goes into lower level buffer manipulation
> functions.
> 
> 
>    current-left-margin()
> * move-to-left-margin()
> * forward-paragraph(1)
> * fill-forward-paragraph(1)
> * fill-region(17 269 nil)

Sorry, I'm not noticing anything odd here.

>>> Today @[email-masked] suggested to set adaptive-fill-regexp for go-ts-mode
>>> and that solved it for me (if this is useful).
>>>
>>>       (setq-mode-local go-ts-mode adaptive-fill-regexp "[ \t]*//+[ \t]*")
>>
>> TBH I'm not yet sure what the value of this variable should look like.
>> But if I manage to reproduce the bug on my machine, this will be the
>> next thing we can try, thanks.
> 
> I also tried pulling the latest grammar for go and it's still
> reproducing on my machine.

Could you confirm that your problem reproduces if you start Emacs as 
'emacs -Q'?